/*
 * privatewinlist.h
 */

#ifndef _OROB_PRIVATEWINLIST_H
#define _OROB_PRIVATEWINLIST_H

#include <stdlib.h> 
#include <stdio.h> 
#include "aquaCommon.h"

typedef struct _PrivateListRec PrivateListRec;  
struct _PrivateListRec {
    AquaWindowRec *rw;
    PrivateListRec *last;
    PrivateListRec *next;
};

extern int		gotButtonDown, private_list_count, need_window_flush, mainThreadBusy;
extern PrivateListRec	*private_list_start, *private_list_end;

extern void AddToPrivateWindowList(AquaWindowRec *winRec);
extern void RemoveFromPrivateWindowList(AquaWindowRec *winRec);
extern void *GetWinByHackID(int hackid);
extern void *GetWinByPrivateID(int privateid);
extern void startFlushTimer(void);
extern void AquaFlushWindow(void *wr);
extern void PrivateFlushWindows(void);
extern void Start_Whole_Screen_Mode(void);
extern void End_Whole_Screen_Mode(void);

#endif	/* _OROB_PRIVATEWINLIST_H */
